#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'colours/toplevel_methods/make_colour.rb'
# =========================================================================== #
module Colours

  require 'colours/constants/misc.rb'
  require 'colours/toplevel_methods/e.rb'

  # ========================================================================= #
  # === Colours.make_colour
  #
  # This is used primarily for testing.
  # ========================================================================= #
  def self.make_colour(
      what_colour_to_use
    )
    i = what_colour_to_use # Copy.
    constant = i.to_s.upcase
    name_of_colour = const_get(constant)
    string = '%-34s' % ("#{name_of_colour} Test with #{constant}.")
    string << IS_A_TEST+'('+name_of_colour.inspect.delete('"')+')'
    e(string)
  end

end