#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'colours/constants/hash_ansi_colours.rb'
# =========================================================================== #
module Colours

  # ========================================================================= #
  # === HASH_ANSI_COLOURS
  # ========================================================================= #
  HASH_ANSI_COLOURS = {
    black:             '30',
    red:               '31',
    green:             '32',
    brown:             '33', # This is also known as yellow.
    yellow:            '33',
    blue:              '34',
    purple:            '35', # Also known as magenta.
    magenta:           '35',
    light_magenta:     '35',
    cyan:              '36',
    light_gray:        '37',
    grey:              '37',
    white:             '37',
    light_red:         '41',
    background_black:  '40',
    background_red:    '41',
    background_green:  '42',
    background_brown:  '43',
    background_yellow: '43',
    background_blue:   '44',
    light_blue:        '44', # Alias to the above ^^^.
    background_purple: '45',
    background_cyan:   '46',
    background_white:  '47',
  }

end