#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'colours/toplevel_methods/random_value.rb'
# =========================================================================== #
module Colours

  # ========================================================================= #
  # === Colours.random_value?
  #
  # We will obtain a random value between 0 and 255, hence why we will
  # use rand(256).
  # ========================================================================= #
  def self.random_value?
    rand(256)
  end; self.instance_eval { alias random_value random_value? } # === Colours.random_value
       self.instance_eval { alias rvalue       random_value? } # === Colours.rvalue
       self.instance_eval { alias r?           random_value? } # === Colours.r?
       self.instance_eval { alias g?           random_value? } # === Colours.g?
       self.instance_eval { alias b?           random_value? } # === Colours.b?

  # ========================================================================= #
  # === random_value
  #
  # We will obtain a random value between 0 and 255, hence why we will
  # use rand(256). 
  # ========================================================================= #
  def random_value?
    Colours.random_value?
  end; alias rvalue       random_value? # === rvalue
       alias random_value random_value? # === random_value
       alias r?           random_value? # === r?
       alias g?           random_value? # === g?
       alias b?           random_value? # === b?

end