# -*- encoding: utf-8 -*-
# stub: colours 0.8.5 ruby lib

Gem::Specification.new do |s|
  s.name = "colours".freeze
  s.version = "0.8.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.4.10".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2023-05-20"
  s.description = "\nThis library is called colours. It unifies colour-related constants\nand methods, including R,G,B values for colours and the commonly\nknown \"HTML colours\", such as \"slateblue\" or \"royalblue\" and so\non.\n\nThe primary use case for this project is to make commandline-scripts\ndisplay text on the terminal with colours.\n\nFor more information about this project, have a look at the online\ndocumentation for this gem at the link called \"documentation\", at\nthe bottom right side of the colours\ngem homepage:\n\n  https://www.rubydoc.info/gems/colours/0.8.5\n\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.homepage = "https://rubygems.org/gems/colours".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n  This is the colours gem, a basic gem for colour-related output.\n\n  Usage example:\n\n    require 'colours'\n\n  Have a look at methods such as sfancy() or simp(). These two methods\n  are heavily used to colourize important text. The leading \"s\" stands\n  for \"string\"; imp stands for \"important\" text.\n\n  If you wish to test the konsole colours, try:\n\n    colours --all_colours\n\n  or\n\n    Colours.test\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.6".freeze)
  s.rubygems_version = "3.4.10".freeze
  s.summary = "This library is called colours. It unifies colour-related constants and methods, including R,G,B values for colours and the commonly known \"HTML colours\", such as \"slateblue\" or \"royalblue\" and so on.  The primary use case for this project is to make commandline-scripts display text on the terminal with colours.  For more information about this project, have a look at the online documentation for this gem at the link called \"documentation\", at the bottom right side of the colours gem homepage:  https://www.rubydoc.info/gems/colours/0.8.5".freeze

  s.installed_by_version = "3.4.10" if s.respond_to? :installed_by_version
end
